Bug 749556 - segfault in backtraces in threads on ARM
segfault in backtraces in threads on ARM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 09:54 EDT by Daniel Drake
Modified: 2012-08-07 16:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: glibc-2.14.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2011-10-27 09:54:36 EDT
Backtraces in threads on hardfp EABI systems segfault because they run off the end of the stack. This happens
because _start is marked with a .cantunwind but __clone is not. This crash gets hit frequently with java-based apps.

Test case: http://sourceware.org/ml/libc-ports/2011-08/txt00000.txt

Please could this already-upstream solution be added to glibc on F15+:
http://repo.or.cz/w/glibc-ports.git/commitdiff/3c6ac5cbe1b17f08bf66be4b1b1c6ffd01729af9

If it is acceptable as a %patch in the spec file, I'm happy to commit and build this myself.
Comment 1 Fedora Admin XMLRPC Client 2011-11-14 14:45:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2011-12-19 02:51:04 EST
glibc-2.14.1-4 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/glibc-2.14.1-4
Comment 3 Fedora Update System 2012-01-02 12:04:53 EST
glibc-2.14.1-5 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/glibc-2.14.1-5
Comment 4 Fedora Update System 2012-01-17 15:24:33 EST
glibc-2.14.1-5 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora End Of Life 2012-08-07 16:20:37 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.